## Конфигурирование
Основной файл конфигурации - _postgresql.conf_
он считывается при старте сервера.

_По умолчанию находится в каталоге PGDATA_\
_Если установлен сервер из пакетов, то находится в /etc/postgresql/13/main_

При изменении параметров необходимо перечитать файл 

### Исходный код
```shell
pg_ctl reload
```
### Пакет
```shell
pg_clusterctl 13 main reload
```

Посмотреть установленные параметры можно следующим запросом:
```shell
SELECT sourceline, name, setting, applied FROM pg_file_settings
WHERE sourceline LIKE '/etc/postgresql/13/main/postgresql.conf';
```
```
 sourceline |            name            |                 setting                 | applied 
------------+----------------------------+-----------------------------------------+---------
         42 | data_directory             | /var/lib/postgresql/13/main             | t
         44 | hba_file                   | /etc/postgresql/13/main/pg_hba.conf     | t
         46 | ident_file                 | /etc/postgresql/13/main/pg_ident.conf   | t
         50 | external_pid_file          | /var/run/postgresql/13-main.pid         | t
         64 | port                       | 5432                                    | t
         65 | max_connections            | 100                                     | t
         67 | unix_socket_directories    | /var/run/postgresql                     | t
        101 | ssl                        | on                                      | t
        103 | ssl_cert_file              | /etc/ssl/certs/ssl-cert-snakeoil.pem    | t
        105 | ssl_key_file               | /etc/ssl/private/ssl-cert-snakeoil.key  | t
        122 | shared_buffers             | 128MB                                   | t
        143 | dynamic_shared_memory_type | posix                                   | t
        229 | max_wal_size               | 1GB                                     | t
        230 | min_wal_size               | 80MB                                    | t
        530 | log_line_prefix            | %m [%p] %q%u@%d                         | t
        564 | log_timezone               | Europe/Moscow                           | t
        570 | cluster_name               | 13/main                                 | t
        586 | stats_temp_directory       | /var/run/postgresql/13-main.pg_stat_tmp | t
        679 | datestyle                  | iso, dmy                                | t
        681 | timezone                   | Europe/Moscow                           | t
        695 | lc_messages                | en_US.UTF-8                             | t
        697 | lc_monetary                | ru_RU.UTF-8                             | t
        698 | lc_numeric                 | ru_RU.UTF-8                             | t
        699 | lc_time                    | ru_RU.UTF-8                             | t
        702 | default_text_search_config | pg_catalog.english                      | t
(25 rows)

```

Посмотреть установленные параметры можно следующим запросом:
```shell
SELECT name, setting, unit FROM pg_settings
WHERE context='postmaster';
```

